org.acplt.oncrpc.apps.jrpcgen

## Class JrpcgenStruct

- java.lang.Object
- - org.acplt.oncrpc.apps.jrpcgen.JrpcgenStruct

    public class JrpcgenStruct
    extends java.lang.Object

The `JrpcgenStruct` class represents a single structure defined in an rpcgen "x"-file.

Version:
  $Revision: 1.1.1.1 $ $Date: 2003/08/13 12:03:47 $ $State: Exp $ $Locker: $
Author:
  Harald Albrecht

### Field Summary

Fields
`java.util.Vector` `elements` Contains elements of structure.
`java.lang.String` `identifier` Structure identifier.

### Constructor Summary

Constructors
Constructor and Description
`JrpcgenStruct(java.lang.String identifier, java.util.Vector elements)` Constructs a `JrpcgenStruct` and sets the identifier and all its attribute elements.

### Method Summary

Methods
`void` `dump()` Dumps the structure together with its attribute elements to `System.out`.
`java.lang.String` `toString()` Returns just the identifier.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### identifier

    public java.lang.String identifier

Structure identifier.

#### elements

    public java.util.Vector elements

Contains elements of structure. The elements are of class `JrpcgenDeclaration`.

### Constructor Detail

#### JrpcgenStruct

    public JrpcgenStruct(java.lang.String identifier,
                 java.util.Vector elements)

Constructs a `JrpcgenStruct` and sets the identifier and all its attribute elements.

Parameters:
  `identifier` - Identifier to be declared.
  `elements` - Vector of atrribute elements of class `JrpcgenDeclaration`.

### Method Detail

#### toString

    public java.lang.String toString()

Returns just the identifier.

Overrides:
  `toString` in class `java.lang.Object`

#### dump

    public void dump()

Dumps the structure together with its attribute elements to `System.out`.